import 'package:bahla_front/app/app.locator.dart';
import 'package:stacked/stacked.dart';
import 'package:stacked_services/stacked_services.dart';

class EventDetailsViewModel extends BaseViewModel {
  final _navigationService = locator<NavigationService>();

  int _selectedTabIndex = 0;
  
  int get selectedTabIndex => _selectedTabIndex;
  
  void setSelectedTab(int index) {
    _selectedTabIndex = index;
    notifyListeners();
  }

  void onBackPressed() {
    // Handle back button press logic here
    print('Back button pressed');
    _navigationService.back();
  }

}

class Post {
  final String id;
  final String title;
  final String content;

  Post({
    required this.id,
    required this.title,
    required this.content,
  });
}

class Animator {
  final String id;
  final String name;
  final String content;
  final String authorImageUrl = 'https://placehold.co/400x400/png';

  Animator({
    required this.id,
    required this.name,
    required this.content,
  });
}